<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bonus.canteen.core.allocation.canteen.mapper.AllocCanteenMapper">
    <!-- 通过区域id列表，查询食堂id列表 -->
    <select id="getCanteenIdListByAreaIdList" resultType="java.lang.Long">
        SELECT
        canteen_id
        FROM
        alloc_canteen
        WHERE area_id in
        <foreach collection="areaIdList" item="areaId" separator="," open="(" close=")">
            #{areaId}
        </foreach>
    </select>
</mapper>
